<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>

   <extension
         point="org.eclipse.ui.views">
      <category
            name="%category.name"
            id="info.textgrid.lab.projectadmin">
      </category>
      <view
            category="info.textgrid.lab.projectadmin"
            class="info.textgrid.lab.projectadmin.views.UserManagement2"
            icon="icons/074-zeige-ProjektNutzerVerwaltung.gif"
            id="info.textgrid.lab.projectadmin.views.UserManagement"
            name="%view.name">
      </view>
      <view
            category="info.textgrid.lab.projectadmin"
            class="info.textgrid.lab.projectadmin.views.RoleHelp"
            icon="icons/074-zeige-ProjektNutzerVerwaltung.gif"
            id="info.textgrid.lab.projectadmin.views.RoleHelp"
            name="%view.name.0">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="info.textgrid.lab.welcome.AdministrationPerspective">
         <view
               closeable="true"
               id="info.textgrid.lab.projectadmin.views.RoleHelp"
               minimized="false"
               moveable="true"
               ratio="0.5"
               relationship="bottom"
               relative="info.textgrid.lab.projectadmin.views.UserManagement"
               showTitle="true"
               standalone="false"
               visible="false">
         </view>
      </perspectiveExtension>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            description="%command.description"
            id="info.textgrid.lab.projectadmin.createProject"
            name="%command.name">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            class="info.textgrid.lab.projectadmin.dialogs.CreateProjectHandler"
            commandId="info.textgrid.lab.projectadmin.createProject">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:file?after=new.ext">
         <command
               commandId="info.textgrid.lab.projectadmin.createProject"
               id="new.tgproject">
         </command>
      </menuContribution>
      <menuContribution
            locationURI="popup:org.eclipse.ui.popup.any?after=info.textgrid.lab.ui.core.commands.NewObject">
         <command
               commandId="info.textgrid.lab.projectadmin.createProject"
               style="push">
            <visibleWhen
                  checkEnabled="true">
               <iterate>
                  <adapt
                        type="info.textgrid.lab.core.model.TextGridProject">
                  </adapt>
               </iterate>
            </visibleWhen>
         </command>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
      <image
            commandId="info.textgrid.lab.projectadmin.createProject"
            icon="icons/030-erstelle-TGProjekt.gif">
      </image>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="chUserManagement.xml">
      </contexts>
   </extension>

</plugin>
